# PassManager

## Описание

Менеджер паролей для телеграм, где все пароли надёжно зашифрованы

## Документация

### База данных

В качестве базы данных данный бот использует mariadb, к которой бот должен иметь доступ всегда

### Команды и их синтаксис

- /set_master_pass {Мастер пароль} - установить мастер пароль
- /add_account {Название} {Логин} {Пароль} {Мастер пароль} - создать аккаунт
- /get_accounts - получить список аккаунтов
- /get_account {Название} {Мастер пароль} - получить логин и пароль аккаунта
- /delete_account {Название} - удалить аккаунт
- /delete_all - удалить все аккаунты и мастер пароль
- /reset_master_pass {Новый мастер пароль} - удалить все аккаунты и изменить мастер пароль

### Настройка

Настройка питизводится через переменные среды. Их можно прописать в файле .env, если не хотите задавать их каждый раз в случае, если вы не работаете с Docker

#### Переменные среды

- DB_HOST - ip адрес базы данных
- DB_USER - пользователь базы данных
- DB_PASS - пароль пользователя базы данных
- DB_NAME - название базы данных
